%define name live
%define version 0
%define snapshot 2004.12.23
%define release 0.%{snapshot}.2mdk

Summary: Live.com Streaming Media Library
Name: %{name}
Version: %{version}
Release: %{release}
Source0: http://www.live.com/liveMedia/public/%{name}.%snapshot.tar.bz2
Patch0: live-opt.patch.bz2
Patch1: live-pic.patch.bz2
License: LGPL
Group: System/Libraries
URL: http://www.live.com/liveMedia/
BuildRoot: %{_tmppath}/%{name}-buildroot

%description
This code forms a set of C++ libraries for multimedia streaming, using
open standard protocols (RTP/RTCP, RTSP, SIP). These libraries - which
can be compiled for Unix (including Linux and Mac OS X), Windows, and
QNX (and other POSIX-compliant systems) - can be used to build
streaming applications.

This package contains the example apps of live.com.

%package devel
Summary: Development files of the Live.com Streaming Media Library
Group: Development/C++

%description devel
This code forms a set of C++ libraries for multimedia streaming, using
open standard protocols (RTP/RTCP, RTSP, SIP). These libraries - which
can be compiled for Unix (including Linux and Mac OS X), Windows, and
QNX (and other POSIX-compliant systems) - can be used to build
streaming applications.

This package contains all needed files to build programs based on live.com.

%prep
%setup -q -n %name
%patch0 -p1 -b .opt
%patch1 -p1 -b .pic
rm -f testProgs/qtParse

%build
./genMakefiles linux
make clean
make RPM_OPT_FLAGS="%{optflags}"

%install
rm -rf $RPM_BUILD_ROOT
for dir in BasicUsageEnvironment groupsock liveMedia UsageEnvironment; do
  mkdir -p %buildroot%_libdir/%name/$dir
  cp -r $dir/*.a $dir/include %buildroot%_libdir/%name/$dir
done
mkdir -p %buildroot%_bindir
for testprog in `find testProgs -type f -perm 755`; do
  install $testprog %buildroot%_bindir
done

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc COPYING README
%_bindir/*

%files devel
%defattr(-,root,root)
%_libdir/%name

%changelog
* Fri Jul 22 2005 Gwenole Beauchesne <gbeauchesne@mandriva.com> 0-0.2004.12.23.2mdk
- build static library with PIC since it can be used into a DSO

* Mon Dec 27 2004 Giuseppe Ghib <ghibo@mandrakesoft.com> 0-0.2004.12.23.1mdk
- new snapshot.

* Tue Nov 16 2004 Gtz Waschk <waschk@linux-mandrake.com> 0-0.2004.11.11a.1mdk
- new snapshot

* Thu Jul 22 2004 Gtz Waschk <waschk@linux-mandrake.com> 0-0.2004.07.22.1mdk
- new snapshot

* Tue Jun 15 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0-0.2004.04.09.2mdk
- Rebuild 

* Fri Apr 16 2004 Gtz Waschk <waschk@linux-mandrake.com> 0-0.2004.04.09.1mdk
- new version

* Wed Feb 25 2004 Gtz Waschk <waschk@linux-mandrake.com> 0-0.2004.02.23.1mdk
- drop the patch
- new snapshot

* Thu Feb 19 2004 Gtz Waschk <waschk@linux-mandrake.com> 0-0.2004.02.13.1mdk
- new snapshot

* Fri Jan 23 2004 Gtz Waschk <waschk@linux-mandrake.com> 0-0.2004.01.22.1mdk
- drop prefix tag
- new snapshot

* Sat Jun 14 2003 Gtz Waschk <waschk@linux-mandrake.com> 0-0.2003.06.07.2mdk
- make clean before compilation

* Fri Jun 13 2003 Gtz Waschk <waschk@linux-mandrake.com> 0-0.2003.06.07.1mdk
- patch for new gcc
- new snapshot

* Fri Apr 11 2003 Gtz Waschk <waschk@linux-mandrake.com> 0-0.2003.04.11.1mdk
- initial package

